- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs | Functions
KEYTypes.h File Reference
`#include <deque>`
`#include <boost/optional.hpp>`
`#include "libetonyek_utils.h"`
`#include "KEYObject.h"`
`#include "KEYPath_fwd.h"`
`#include "KEYStyle.h"`
`#include "KEYText_fwd.h"`
`#include "KEYTypes_fwd.h"`

Go to the source code of this file.

## Classes
struct | libetonyek::KEYSize
struct | libetonyek::KEYPosition
struct | libetonyek::KEYGeometry
struct | libetonyek::KEYColor
struct | libetonyek::KEYPadding
struct | libetonyek::KEYLine
struct | libetonyek::KEYData
struct | libetonyek::KEYMediaContent
struct | libetonyek::KEYBinary
struct | libetonyek::KEYImage
struct | libetonyek::KEYMedia
struct | libetonyek::KEYWrap
struct | libetonyek::KEYGroup
struct | libetonyek::KEYLayer
struct | libetonyek::KEYPlaceholder
struct | libetonyek::KEYStickyNote
struct | libetonyek::KEYTabStop

## Namespaces
| libetonyek

## Typedefs
typedef std::deque< KEYStickyNote > | libetonyek::KEYStickyNotes_t
typedef std::deque< KEYTabStop > | libetonyek::KEYTabStops_t

## Functions
KEYObjectPtr_t | libetonyek::makeObject (const KEYGroupPtr_t &group)
KEYObjectPtr_t | libetonyek::makeObject (const KEYImagePtr_t &image)
KEYObjectPtr_t | libetonyek::makeObject (const KEYLinePtr_t &line)
KEYObjectPtr_t | libetonyek::makeObject (const KEYMediaPtr_t &media)
KEYObjectPtr_t | libetonyek::makeObject (const KEYPlaceholderPtr_t &body)